2011-08-31 deraj@users.sourceforge.net

* Data/Fbg2/Board.lua: Special effect for quads

* Data/Sounds/Cancel.wav: New cancel sound effect

* Data/Fbg2/PauseScreen.lua: Don't propagate sounds to game layer
* Data/UI/Button.lua: Button.silent can now be changed dynamically
* Data/UI/FormLayer.lua: Allow silent form layer

* Data/UI/Form.lua: Partial fix for initial focus sound effect on layers

2011-08-29 deraj@users.sourceforge.net

* fbg2.wxs: Add icon for Windows uninstaller, update version

* Data/Fbg2/Counter.lua: Customizable counter animation
* Data/Fbg2/Board.lua: Propagate number of lines to score update callback
* Data/Fbg2/GameLayer.lua: Animate score according to number of lines

* Data/Fbg2/Board.lua: Display line bonus directly on the board

* Data/Fonts/Default.png: Tweaked font (removed dot inside zero)

2011-07-31 deraj@users.sourceforge.net

* Makefile.am: Include desktop entry/icon in distribution

2011-07-28 deraj@users.sourceforge.net

* Makefile.am: Install menu entry and icon
* avoision.desktop: Add Linux menu entry
* avoision.png: Add Linux menu icon

2011-07-27 deraj@users.sourceforge.net

* acinclude.m4: Require Radius Engine 0.7

2011-07-26 deraj@users.sourceforge.net

* Data/Menus/HighScore.lua: Properly escape high score names

* Data/Menus/HighScoreEntryMenu.lua: Limit length of names

* Data/UI/TextInputBox.lua: Length limit, keypad input

2011-07-25 deraj@users.sourceforge.net

* Data/Utility/MiscSettings.lua: Default values, Booleans, string fixes

* Data/Fbg2/Common.lua: Added animation setting
* Data/Fbg2/Piece.lua: Use animation setting for rotate/drop
* Data/Settings/Misc.lua: Persist animation setting
* Data/Menus/VideoMenu.lua: UI for enabling/disabling smooth animations

2011-07-20 deraj@users.sourceforge.net

* Data/Fbg2/Piece.lua: Smooth drop animation (currently disabled)
* Data/Effects/Path.lua: Simple linear interpolation
* Makefile.am: Added Path.lua

2011-07-19 deraj@users.sourceforge.net

* Data/Fbg2/Piece.lua: Rotation animation, reset
* Data/Fbg2/Board.lua: Piece reset, expose current drop period

2011-07-18 deraj@users.sourceforge.net

* Data/Fbg2/Piece.lua: Cache position, actually rotate elements
* Data/Fbg2/Board.lua: Simplified next piece centering

2011-07-15 deraj@users.sourceforge.net

* Data/Fbg2/Piece.lua: Calculate center of each piece config

2011-07-14 deraj@users.sourceforge.net

* Data/Diagnostics/LogDisplay.lua: Update for internal list of children
* Data/Effects/Ghost.lua: Update for internal list of children
* Data/Fbg2/GameLayer.lua: Update for internal list of children
* Data/UI/Control.lua: Update for internal list of children
* Data/UI/FormLayer.lua: Update for internal list of children
* Data/UI/ImageLabel.lua: Update for internal list of children
* Data/UI/Label.lua: Update for internal list of children
* Data/UI/TextInputBox.lua: Update for internal list of children
* Data/Menus/CreditsMenu.lua: Update for internal list of children

* Data/Fbg2/Board.lua: Use internal child list and update explicitly

2010-12-26 deraj@users.sourceforge.net

* Data/Fbg2/PauseScreen.lua: Don't add sound effects when quitting early
* Data/Fbg2/Board.lua: Allow end-game effects to be skipped

* Data/Settings/HighScoreDefaultData.lua: Added cleanup mode high scores

* configure.in: Incremented version
* Makefile_msi: Incremented version
* Data/Fbg2/Common.lua: Incremented version

2010-12-24 deraj@users.sourceforge.net

* Data/Music/FallingBlockGameSndTrk.ogg: Background music
* Data/Fbg2/GameLayer.lua: Play background music on start
* Data/Menus/CreditsMenu.lua: Add music credit, update license
* License.txt: Add music to license info
* Makefile.am: Added FallingBlockGameSndTrk.ogg

2010-12-22 deraj@users.sourceforge.net

* Data/Menus/AudioOptions.lua: Fixed form position

* Makefile.am: Added Title.png and ImageLabel.lua

* Data/UI/UI.lua: Added ImageLabel
* Data/UI/ImageLabel.lua: Added ImageLabel component

* Data/MainMenu.lua: Use Title.png for title
* Data/Images/Title.png: Title image

* Data/Images/FormBackground.png: Added background blocks
* Data/Images/YouWin.png: Added block in the background

* configure.in: Incremented version
* Makefile_msi: Incremented version
* Data/Fbg2/Common.lua: Incremented version

2010-12-21 deraj@users.sourceforge.net

* Data/Menus/HighScore.lua: Switched to page-based (not mode-based) scores
* Data/Settings/HighScoreDefaultData.lua: Place-holder data
* Data/Menus/HighScoreEntryMenu.lua: Propagate mode and height
* Data/Menus/HighScoreMenu.lua: Show every page of scores
* Data/Fbg2/Board.lua: Propagate height to high scores code
* Data/Fbg2/GameLayer.lua: Propagate height to high scores code

* Data/Menus/HighScore.lua: Updated high score data format
* Data/Settings/HighScoreDefaultData.lua: Updated high score data format

* Data/Menus/MainMenu.lua: Only show the current page of scores on end
* Data/Menus/HighScoreMenu.lua: Allow showing only a single page

2010-12-19 deraj@users.sourceforge.net

* Data/Fbg2/Board.lua: Display a different effect when beating cleanup mode
* Data/Images/YouWin.png: Cleanup mode win overlay
* Makefile.am: Added YouWin.png

* Data/Fbg2/Board.lua: Actually prevent filled lines in cleanup mode

* Data/Fbg2/Common.lua: Setup default form position/size
* Data/Menus/AudioMenu.lua: Use default form values
* Data/Menus/ControlsMenu.lua: Use default form values
* Data/Menus/HighScoreEntryMenu.lua: Use default form values
* Data/Menus/HighScoreMenu.lua: Use default form values
* Data/Menus/MainMenu.lua: Use default form values
* Data/Menus/OptionsMenu.lua: Use default form values
* Data/Menus/VideoMenu.lua: Use default form values

* Data/Images/FormBackground.png: Added title area to form background

* Makefile.am: Added EmptyBackground.png

2010-12-18 deraj@users.sourceforge.net

* Data/Fbg2/Piece.lua: Consolidated "for each block" helper
* Data/Fbg2/Piece.lua: Added callback for drop/cloud effects
* Data/Fbg2/Board.lua: Create cloud effects when dropping pieces

* Data/Effects/Ghost.lua: Use entity's z position for ghost

* Data/Fbg2/Board.lua: Row clear effect is on top, but cloud is on bottom

* Data/Effects/ScriptedEntity.lua: Finalize values when done (no repeat)

* Data/Fbg2/Board.lua: Added end game effect
* Data/Images/GameOver.png: Game over banner

* Makefile.am: Added Cloud.png and GameOver.png

* Data/Fbg2/GameLayer.lua: Game layer has its own audio
* Data/Fbg2/PauseScreen.lua: Pause screen doesn't propagate audio

* Data/Fbg2/Board.lua: Added sound effects
* Data/UI/Choice.lua: Click.wav is now Move.wav
* Data/UI/Form.lua: Click.wav is now Move.wav
* Data/Sounds/Boom.wav: Game over sound
* Data/Sounds/Clear.wav: Row-clearing sound
* Data/Sounds/Land.wav: Piece completion sound
* Data/Sounds/Move.wav: Piece moving sound
* Data/Sounds/Rotate.wav: Piece rotation sound

* Data/Fbg2/Board.lua: Only play landing sound when not scoring

* Data/Fbg2/Board.lua: Added quadruple sound effect
* Data/Sounds/Quadruple.wav: Quadruple sound

2010-12-17 deraj@users.sourceforge.net

* Data/Fbg2/Board.lua: Block elements are now grouped by row entities

* Data/Fbg2/Board.lua: Added row-dropping effect

* Data/Fbg2/Board.lua: Reset support for row effects

* Data/Fbg2/Board.lua: Don't allow rows to be full on Cleanup mode

* Data/Effects/Ghost.lua: Make x and y offsets independently usable

2010-12-16 deraj@users.sourceforge.net

* Data/Fbg2/Board.lua: Initial row-clearing effect

2010-12-15 deraj@users.sourceforge.net

* Data/Fbg2/Board.lua: Propagate mode to callback
* Data/Fbg2/GameLayer.lua: Propagate mode and score correctly
* Data/Menus/HighScore.lua: Persist high scores correctly

* Data/Fbg2/Board.lua: Propagate valid flag when aborting early
* Data/Fbg2/GameLayer.lua: Propagate valid flag for score
* Data/Menus/MainMenu.lua: Only add high score if valid
* Data/Fbg2/PauseScreen.lua: Pass in "abort" flag when quitting early

* Data/Fbg2/Board.lua: Implemented garbage for cleanup mode
* Data/Fbg2/GameLayer.lua: Propagate height to board
* Data/Fbg2/MainMenu.lua: Added height choice for cleanup mode

* Data/Fbg2/Board.lua: Don't save score on loss in cleanup mode

* UI/Button.lua: Export colors, disabling/enabling
* UI/Choice.lua: Enabling/disabling
* Menus/MainMenu.lua: Only enable height choice for cleanup mode

* Menus/MainMenu.lua: Small tweaks to main menu

2010-12-14 deraj@users.sourceforge.net

* Data/Fbg2/Common.lua: Mode maps
* Data/Menus/MainMenu.lua: Added persistent mode choice

* Data/Fbg2/GameLayer.lua: Pass mode to board
* Data/Fbg2/Board.lua: Set mode on reset

* Data/Menus/HighScore.lua: Changed to override default scores
* Data/Menus/HighScoreMenu.lua: One screen per mode
* Makefile.am: Distribute default high scores only

* Data/Fbg2/Board.lua: Implemented "Cleanup" mode

2010-12-12 deraj@users.sourceforge.net

* configure.in: Linux build support
* Makefile.am: Linux build support
* acinclude.m4: Autoconf macro

2010-12-08 deraj@users.sourceforge.net

* Makefile_msi: Incremented version
* Data/Fbg2/Common.lua: Incremented version

2010-12-07 deraj@users.sourceforge.net

* fbg2.ico: Added icon
* fbg2.rc: Embed icon on Windows

* Data/Fbg2/Common.lua: Set window title on launch

* Data/Menus/CreditsMenu.lua: Added form background to credits

* Data/Menus/CreditsMenu.lua: Updated credits

* Data/Settings/VideoSettings.lua: Default resolution is now 800x600

* Data/Settings/Controls.lua: Right mouse button defaults to rotate right

* Data/Utility/MiscSettings.lua: Removed debug prints

* License.txt: Added license

* fbg2.wxs: Added Windows Installer XML
* Makefile_msi: Added Windows Installer makefile

2010-12-06 deraj@users.sourceforge.net

* Data/Utility/MiscSettings.lua: Added misc. settings infrastructure
* Data/Settings/Misc.lua: Default misc. settings

* Data/Menus/MainMenu.lua: Last played level is now persistent

* Data/UI/TextInputBox.lua: Position cursor after initial text

* Data/Menus/HighScoreEntryMenu.lua: Default to last entered name

* Data/Fbg2/Board.lua: Added slide-under move (needed for high levels)

2010-12-05 deraj@users.sourceforge.net

* Data/Fbg2/PauseScreen.lua: Added pause screen
* Data/Fbg2/Board.lua: Added pause screen, consolidated some helpers

2010-12-04 deraj@users.sourceforge.net

* Data/Fbg2/Board.lua: Fixed resetting control states

* Data/Fbg2/Counter.lua: Added score counter
* Data/Images/Digits.png: Added score counter digits
* Data/Fbg2/GameLayer.lua: Using digits for score/level/lines

* Data/Images/*.png: Updated block graphics
* Data/Images/Background.png: Increased board contrast

* Data/Fbg2/Board.lua: Allow next piece to be centered
* Data/Fbg2/GameLayer.lua: Center next piece
* Data/Fbg2/Piece.lua: Calculate center of piece

2010-12-03 deraj@users.sourceforge.net

* Data/Fbg2/GameLayer.lua: Using original FBG background
* Data/Images/Background.png: Added FBG background

2010-11-30 deraj@users.sourceforge.net

* Data/Fonts/Default.png: Fixed comma character

2010-11-28 deraj@users.sourceforge.net

* Data/Fonts/Default.png: Higher resolution font with drop shadow
* Data/UI/FormLayer.lua: Fixed z coordinate

* Data/Images/Background.png: Added menu background
* Data/UI/FormLayer.lua: Added background
* Data/UI/Control.lua: Added background to capture layer

* Data/Menus/MainMenu.lua: Removed version

* Data/Settings/Controls.lua: Right mouse is not "cancel" by default

2010-11-27 deraj@users.sourceforge.net

* Data/Menus/MainMenu.lua: Added level selection

* Data/Fbg2/Board.lua: Fixed lose trigger

* Data/Fbg2/Board.lua: Allow bypass of first drop delay

* Data/Fbg2/Board.lua: Added delay after loss for exit

* Data/Menus/HighScores.lua: Ported over high score code
* Data/Menus/HighScoreMenu.lua: Show "Classic" mode scores
* Data/Menus/HighScoreEntryMenu.lua: Enter scores
* Data/Menus/MainMenu.lua: Check for new high score after loss/quit
* Data/Settings/HighScoreData.lua: Entered default high scores

2010-11-26 deraj@users.sourceforge.net

* GameLayer.lua: Added edges around board

* GameLayer.lua: Added better score display

2010-11-24 deraj@users.sourceforge.net

* Initial menu system, settings, etc.

* Initial commit of Falling Block Game 2

* Data/Fbg2/Board.lua: Small fixes, added multiple block images
* Data/Images/*.png: Added temporary block images

2010-11-23 deraj@users.sourceforge.net

* Data/Test.lua: More consistent timing

* Data/Test.lua: Added next piece display

2010-11-22 deraj@users.sourceforge.net

* Data/Test.lua: Scoring and level progression

2010-11-21 deraj@users.sourceforge.net

* Data/Test.lua: Piece completion
* Data/Test.lua: Clearing rows and shifting remainder

* Data/Test.lua: Fast move/drop implemented

2010-11-20 deraj@users.sourceforge.net

* Data/Test.lua: Initial work on board and piece rendering

* Data/Test.lua: Initial board work, along with piece movement/rotation

